# @builder.io/shiki-editor

A Monaco editor component with Shiki syntax highlighting for React applications.

## Installation

```bash
npm install @builder.io/shiki-editor
```

or

```bash
yarn add @builder.io/shiki-editor
```

## Usage

```jsx
import React from 'react';
import { ShikiMonacoEditor } from '@builder.io/shiki-editor';

const MyComponent = () => {
  return (
    <ShikiMonacoEditor
      width="800"
      height="600"
      language="javascript"
      theme="vs-dark"
      value="console.log('Hello, world!');"
      onChange={(newValue, event) => {
        console.log('Editor content changed:', newValue);
      }}
    />
  );
};

export default MyComponent;
```

## Props

(Add a list of available props and their descriptions here)

## Contributing

(Add instructions for contributing to the project)

## License

MIT